Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.stree
Class IndexedLocPathIterator

    java.lang.Object
      |
      +--org.apache.xpath.Expression
            |
            +--org.apache.xpath.axes.LocPathIterator
                  |
                  +--org.apache.xalan.stree.IndexedLocPathIterator

public class IndexedLocPathIterator
extends LocPathIterator

**For advanced use only** This class extends NodeSet, which implements NodeIterator, and fetches nodes one at a time in document order based on a XPath

Fields inherited from class org.apache.xpath.axes.LocPathIterator
`m_waiting`

Constructor Summary
`IndexedLocPathIterator(Compiler compiler, int opPos)` **For advanced use only** Create a IndexedLocPathIterator object.

Methods inherited from class org.apache.xpath.axes.LocPathIterator
`addToWaitList, clone, cloneWithReset, detach, execute, getContext, getCurrentContextNode, getCurrentNode, getCurrentPos, getDOMHelper, getExpandEntityReferences, getFilter, getFirstWalker, getFoundLast, getLastUsedWalker, getLength, getPrefixResolver, getRoot, getStackFrameIndex, getWhatToShow, getXPathContext, initContext, isFresh, item, nextNode, previousNode, removeFromWaitList, reset, runTo, setCurrentContextNode, setCurrentPos, setLastUsedWalker, setShouldCacheNodes, size`

Methods inherited from class org.apache.xpath.Expression
`assert, error, warn`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndexedLocPathIterator

    public IndexedLocPathIterator(Compiler compiler,
                                  int opPos)
                           throws SAXException

  **For advanced use only** Create a IndexedLocPathIterator object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.